import React from "react";
import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";
import useDropDownAriaProps from "./useDropDownAriaProps";
export default (props => {
  let {
    contentProps,
    targetProps,
    focusVisible,
    focusProps
  } = useDropDownAriaProps(props);
  let renderProps = {
    contentProps,
    targetProps,
    focusVisible,
    focusProps
  };
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
});
export function DropDownTargetBehaviour(props) {
  let renderProps = {};
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
}
export function DropDownContentBehaviour(props) {
  let renderProps = {};
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
}